# ApplicationFramework
TKPShape
PColgp

# PColgp_SeqExplorerOfHSequenceOfPnt Class Reference

`#include <PColgp_SeqExplorerOfHSequenceOfPnt.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | PColgp_SeqExplorerOfHSequenceOfPnt (const Handle(PColgp_HSequenceOfPnt)&S)
Standard_EXPORT gp_Pnt | Value (const Standard_Integer Index)
Standard_EXPORT Standard_Boolean | Contains (const gp_Pnt &T)
Standard_EXPORT Standard_Integer | Location (const Standard_Integer N, const gp_Pnt &T, const Standard_Integer FromIndex, const Standard_Integer ToIndex)
Standard_EXPORT Standard_Integer | Location (const Standard_Integer N, const gp_Pnt &T)

## Private Attributes

Handle_PColgp_SeqNodeOfHSequenceOfPnt | CurrentItem
Standard_Integer | CurrentIndex
Handle_PColgp_HSequenceOfPnt | TheSequence

## Constructor & Destructor Documentation

Standard_EXPORT PColgp_SeqExplorerOfHSequenceOfPnt::PColgp_SeqExplorerOfHSequenceOfPnt | ( | const Handle(PColgp_HSequenceOfPnt)& | S | ) |

## Member Function Documentation

Standard_EXPORT Standard_Boolean PColgp_SeqExplorerOfHSequenceOfPnt::Contains | ( | const gp_Pnt & | T | ) |

Standard_EXPORT Standard_Integer PColgp_SeqExplorerOfHSequenceOfPnt::Location | ( | const Standard_Integer | N,
|  | const gp_Pnt & | T
| ) |

Standard_EXPORT Standard_Integer PColgp_SeqExplorerOfHSequenceOfPnt::Location | ( | const Standard_Integer | N,
|  | const gp_Pnt & | T,
|  | const Standard_Integer | FromIndex,
|  | const Standard_Integer | ToIndex
| ) |

void PColgp_SeqExplorerOfHSequenceOfPnt::operator delete | ( | void * | anAddress | ) | `[inline]`

void* PColgp_SeqExplorerOfHSequenceOfPnt::operator new | ( | size_t | size | ) | `[inline]`

void* PColgp_SeqExplorerOfHSequenceOfPnt::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT gp_Pnt PColgp_SeqExplorerOfHSequenceOfPnt::Value | ( | const Standard_Integer | Index | ) |

## Field Documentation

Standard_Integer PColgp_SeqExplorerOfHSequenceOfPnt::CurrentIndex `[private]`

Handle_PColgp_SeqNodeOfHSequenceOfPnt PColgp_SeqExplorerOfHSequenceOfPnt::CurrentItem `[private]`

Handle_PColgp_HSequenceOfPnt PColgp_SeqExplorerOfHSequenceOfPnt::TheSequence `[private]`

The documentation for this class was generated from the following file:

- PColgp_SeqExplorerOfHSequenceOfPnt.hxx